# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.authn.oauthproxy
Class OAuthProxyResponse

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.String>
              com.google.gdata.client.authn.oauthproxy.OAuthProxyResponse

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.String>

    public class OAuthProxyResponse

extends java.util.HashMap<java.lang.String,java.lang.String>

Stores the variables related to an OAuth Proxy response.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`OAuthProxyResponse()`
`OAuthProxyResponse(java.util.Map<java.lang.String,java.util.List<java.lang.String>> headers)` Creates an `OAuthProxyResponse` object from a map of http headers, such as one obtained from `HttpURLConnection#getHeaderFields()`.

Method Summary
`java.lang.String` `getApprovalUrl()` Retrieves the approval url.
`java.lang.String` `getError()` Retrieves the OAuth error.
`java.lang.String` `getErrorText()` Retrieves the OAuth error text.
`java.lang.String` `getState()` Retrieves the OAuth state.
`void` `setApprovalUrl(java.lang.String value)` Sets the approval url.
`void` `setError(java.lang.String value)` Sets the OAuth error.
`void` `setErrorText(java.lang.String value)` Sets the OAuth error text.
`void` `setState(java.lang.String value)` Sets the OAuth state.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### OAuthProxyResponse

    public OAuthProxyResponse()

### OAuthProxyResponse

    public OAuthProxyResponse(java.util.Map<java.lang.String,java.util.List<java.lang.String>> headers)

  Creates an `OAuthProxyResponse` object from a map of http headers, such as one obtained from `HttpURLConnection#getHeaderFields()`.

  Parameters:
    `headers` - A map of http headers.

Method Detail

### getApprovalUrl

    public java.lang.String getApprovalUrl()

  Retrieves the approval url. If this url is present in a request, the consumer should redirect the user to this url to reauthorize.

### setApprovalUrl

    public void setApprovalUrl(java.lang.String value)

  Sets the approval url.

### getError

    public java.lang.String getError()

  Retrieves the OAuth error.

### setError

    public void setError(java.lang.String value)

  Sets the OAuth error.

### getErrorText

    public java.lang.String getErrorText()

  Retrieves the OAuth error text.

### setErrorText

    public void setErrorText(java.lang.String value)

  Sets the OAuth error text.

### getState

    public java.lang.String getState()

  Retrieves the OAuth state.

### setState

    public void setState(java.lang.String value)

  Sets the OAuth state.